import 'package:flutter/material.dart';
import 'package:geideadesignframework/GeideaTheme.dart';

class SecondaryButton extends StatefulWidget {
  SecondaryButton(
      {Key key,
      this.text,
      this.onPressed,
      this.preTextWidget,
      this.postTextWidget})
      : super(key: key);

  final String text;
  final VoidCallback onPressed;
  final Widget preTextWidget;
  final Widget postTextWidget;

  @override
  _SecondaryButtonState createState() => _SecondaryButtonState();
}

class _SecondaryButtonState extends State<SecondaryButton> {
  @override
  Widget build(BuildContext context) {
    return Container(
      width: double.infinity,
      child: FlatButton(
        shape: RoundedRectangleBorder(borderRadius: BorderRadius.circular(50)),
        color: Colors.transparent,
        padding: const EdgeInsets.symmetric(vertical: 20.0),
        onPressed: widget.onPressed,
        child:
            Row(mainAxisAlignment: MainAxisAlignment.center, children: <Widget>[
          widget.preTextWidget == null ? Container() : widget.preTextWidget,
          Text(
            widget.text,
            style: TextStyle(
              fontFamily: 'Montserrat',
              fontSize: 20,
              color: Theme.of(context).cursorColor,
            ),
          ),
          widget.postTextWidget == null ? Container() : widget.postTextWidget,
        ]),
      ),
    );
  }
}
